Bug 274801 - Chinese font between 9pt to 12pt does not display correctly in gedit
Chinese font between 9pt to 12pt does not display correctly in gedit
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-02 22:04 EDT by Gehua Yang
Modified: 2008-06-16 22:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:18:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
zip file containing a text file with chinese characters (in UTF8) and three jpeg images with different font size settings (80.58 KB, application/zip)
2007-09-02 22:04 EDT, Gehua Yang
no flags Details

  None (edit)
Description Gehua Yang 2007-09-02 22:04:54 EDT
Description of problem:
I used NSimSun Chinese font (a ttf file I copied from Windows environment) in
FC7 and especially in gedit. Chinese characters did not display at all when
choosing size between 9pt to 12pt, whereas below 9pt or above 12 pt it displayed
normally. One possible cause is that I set antialias to off on *all* fonts when
the size is equal to or below 12pt. But this does-not-display symptom is not
present on other fonts I tried except with NSimSun or SimSun.  

I attached a few screen shots to demonstrate the symptom. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
In Gedit, setting the font to NSimSun and font size to 10, and open a file
containing Chinese characters. 

Actual results:
Chinese characters do not display at all

Expected results:
Chinese characters should show up in the window.

Additional info:
Comment 1 Gehua Yang 2007-09-02 22:04:54 EDT
Created attachment 184941 [details]
zip file containing a text file with chinese characters (in UTF8) and three jpeg images with different font size settings
Comment 2 Bug Zapper 2008-05-14 10:13:08 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:18:47 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.